-- ABS-93102 / ABS-100044

------ WEIGHINGCATEGORY --------
UPDATE WEIGHINGCATEGPERCUSTOMER WCC
SET WCC.SOILPERCENTAGE = 0,
WCC.INVOICEMETHOD = 3,
WCC.WEIGHTCLEAN = 'Y',
WCC.WEIGHTSOILED = 'N'
WHERE (WCC.SOILPERCENTAGE <> 0 OR WCC.INVOICEMETHOD <> 3 OR WCC.WEIGHTCLEAN = 'N' OR WCC.WEIGHTSOILED = 'Y')
AND WCC.WEIGHINGCATEGORY_ID IN (SELECT WC.WEIGHINGCATEGORY_ID FROM WEIGHINGCATEGORY WC
WHERE WC.WEIGHINGUSE = 1);
COMMIT;